| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
SV_9DOF_GBY_KALMAN Struct Reference

`#include <fusion_types.h>`

Collaboration diagram for SV_9DOF_GBY_KALMAN:

## Data Fields
float | fPhiPl
float | fThePl
float | fPsiPl
float | fRhoPl
float | fChiPl
float | fRPl [3][3]
struct fquaternion | fqPl
float | fRVecPl [3]
float | fOmega [3]
int32 | systick
float | fQw10x10 [10][10]
float | fK10x7 [10][7]
float | fQwCT10x7 [10][7]
float | fZErr [7]
float | fQv7x1 [7]
float | fDeltaPl
float | fsinDeltaPl
float | fcosDeltaPl
float | fqgErrPl [3]
float | fqmErrPl [3]
float | fbPl [3]
float | fbErrPl [3]
float | fDeltaErrPl
float | fAccGl [3]
float | fVelGl [3]
float | fDisGl [3]
float | fGyrodeltat
float | fKalmandeltat
float | fgKalmandeltat
float | fAlphaOver2
float | fAlphaOver2Sq
float | fAlphaOver2SqQvYQwb
float | fAlphaOver2Qwb
int8 | iFirstAccelMagLock
int16 | iFirstOrientationLock
int8 | resetflag

## Detailed Description

Definition at line 218 of file fusion_types.h.

## Field Documentation

float fAccGl[3]

Definition at line 249 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fAlphaOver2

Definition at line 255 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fAlphaOver2Qwb

Definition at line 258 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fAlphaOver2Sq

Definition at line 256 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fAlphaOver2SqQvYQwb

Definition at line 257 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fbErrPl[3]

Definition at line 247 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fbPl[3]

Definition at line 246 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fChiPl

Definition at line 226 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fcosDeltaPl

Definition at line 243 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fDeltaErrPl

Definition at line 248 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fDeltaPl

Definition at line 241 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fDisGl[3]

Definition at line 251 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fgKalmandeltat

Definition at line 254 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fGyrodeltat

Definition at line 252 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fK10x7[10][7]

Definition at line 237 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fKalmandeltat

Definition at line 253 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fOmega[3]

Definition at line 232 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fPhiPl

Definition at line 222 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fPsiPl

Definition at line 224 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fqgErrPl[3]

Definition at line 244 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fqmErrPl[3]

Definition at line 245 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

struct fquaternion fqPl

Definition at line 229 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fQv7x1[7]

Definition at line 240 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fQw10x10[10][10]

Definition at line 236 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fQwCT10x7[10][7]

Definition at line 238 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fRhoPl

Definition at line 225 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fRPl[3][3]

Definition at line 228 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fRVecPl[3]

Definition at line 230 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fsinDeltaPl

Definition at line 242 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fThePl

Definition at line 223 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

float fVelGl[3]

Definition at line 250 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

float fZErr[7]

Definition at line 239 of file fusion_types.h.

Referenced by fRun_9DOF_GBY_KALMAN().

int8 iFirstAccelMagLock

Definition at line 259 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

int16 iFirstOrientationLock

Definition at line 260 of file fusion_types.h.

int8 resetflag

Definition at line 261 of file fusion_types.h.

Referenced by fInit_9DOF_GBY_KALMAN(), and fRun_9DOF_GBY_KALMAN().

int32 systick

Definition at line 234 of file fusion_types.h.

The documentation for this struct was generated from the following file:

- SensorFusion/fusion_types.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.